using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability304.Request;

public class TaobaoTopSdkFeedbackUploadRequest : AbstractTopApiRequest
{

    /*
        1、回传加密信息
            */
    private string? type;


    /*
        具体内容，json形式
            */
    private string? content;


    [JsonPropertyName("type")]
    public string? Type
    {
        get => type;
        set => this.type = value;
    }

    [JsonPropertyName("content")]
    public string? Content
    {
        get => content;
        set => this.content = value;
    }



    public override IDictionary<string, string> ToRequestParam()
    {
        IDictionary<string, string> requestParam = new Dictionary<string, string>();
        if(this.type != null)
        {
            requestParam.Add("type",TopUtils.ConvertBasicType(this.type));
        }
        if(this.content != null)
        {
            requestParam.Add("content",TopUtils.ConvertBasicType(this.content));
        }
        return requestParam;
    }

    public override IDictionary<string, TopFileItem> ToFileParam()
    {
        IDictionary<string, TopFileItem> fileParam = new Dictionary<string, TopFileItem>();
        return fileParam;
    }

    public override string GetApiCode()
    {
        return "taobao.top.sdk.feedback.upload";
    }

}

